BigTech BigTech - 7 months ago 32
PHP Question

Unpacking the update... Could not create directory. Wordpress

When I instal

nextgen-gallery
plugins. This error message appears

Downloading update from https://downloads.wordpress.org/plugin/nextgen-gallery.zip…

Unpacking the update…

Could not create directory.


How can I fix this problem ?

Answer

This is a permissions issue. Ensure the directory is writable by apache. Plugins are unpacked into the wp-content/plugins directory, so I would first attempt writing to the directory as apache:

sudo -u apache touch /path/to/wp-content/plugins/test.txt

Set permissions accordingly to correct the issue. You can read about permissions here: http://www.linux.com/learn/tutorials/309527-understanding-linux-file-permissions

You can read about the correct file permission scheme for Wordpress here: http://codex.wordpress.org/Changing_File_Permissions#Permission_Scheme_for_WordPress